Skip to content

CashMachines⁠

Manage cash machines.

Operations⁠

cassetteReport⁠

POST

Generates a report on the status of cassettes in the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
Path Parameters
symstringrequired
Sym number
cassetteCountintegeroptional
POST/nexum/{sym}/2022.01/cashmachines/cassetteReport
POST /nexum/627/2022.01/cashmachines/cassetteReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

cassetteAdjustment⁠

POST

Adjusts the cassettes in the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
cassetteCountintegeroptional
coinAmountintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/cassetteAdjustment
POST /nexum/627/2022.01/cashmachines/cassetteAdjustment HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "cassetteCount": 0,
  "cassettes": [],
  "coinAmount": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteDispense⁠

POST

Dispenses cash remotely, often initiated through an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
duressFlagbooleanoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteDispense
POST /nexum/627/2022.01/cashmachines/remoteDispense HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "requestedDistribution": {},
  "duressFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteTransactionInquiry⁠

POST

Inquires about the status of a remote transaction initiated via an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

tranTypestringoptional
timeoutintegeroptional
remoteTransactionIdintegeroptional
pinstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteTransactionInquiry
POST /nexum/627/2022.01/cashmachines/remoteTransactionInquiry HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 0,
  "timeout": 0,
  "remoteTransactionId": 0,
  "pin": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteTransactionCancel⁠

POST

Cancels a remote transaction initiated via an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

tranTypestringoptional
timeoutintegeroptional
remoteTransactionIdintegeroptional
pinstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteTransactionCancel
POST /nexum/627/2022.01/cashmachines/remoteTransactionCancel HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 0,
  "timeout": 0,
  "remoteTransactionId": 0,
  "pin": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteTransactionComplete⁠

POST

Completes a remote transaction initiated via an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

tranTypestringoptional
timeoutintegeroptional
remoteTransactionIdintegeroptional
pinstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteTransactionComplete
POST /nexum/627/2022.01/cashmachines/remoteTransactionComplete HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 0,
  "timeout": 0,
  "remoteTransactionId": 0,
  "pin": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}